import 'dart:async';
import 'dart:convert';
import 'package:flutter/services.dart';

class GetImagesList {
  GetImagesList();

  List _availableImages = [];

  init() async {
    await imagesFromLocalFile();
  }

  Future<void> imagesFromLocalFile() async {
    String jsonString;
    try {
      jsonString = await rootBundle.loadString('assets/files/images.json');
      final jsonResponse = await json.decode(jsonString);
      List imagesList = jsonResponse['images'];
      _availableImages = imagesList;
    } catch (e) {
      _availableImages = [];
    }

    // Remove empty images
    _availableImages.removeWhere((value) => (value == ''));
  }

  List get availableImages => _availableImages;
}
